////////////////////////////////////////////////////////////////////////////////
// DIALOGS.HPP
////////////////////////////////////////////////////////////////////////////////
#include <windows.h>


#if (DEF_TARGET_MODLE == DEF_MODEL_WIN32 | DEF_MODEL_X86)

	#define DEF_WIN_CLASS_NAME      "NOR"
	#define DEF_WIN_TITLE_NAME      "Ʈ  - 20080101"

	#define DEF_WIN_WIDTH           400
	#define DEF_WIN_HEIGHT          450
	#define DEF_WIN_FULLSCREEN      0

	#define DEF_WIN_TYPE            WS_CAPTION | WS_VISIBLE | WS_SYSMENU

#endif

typedef enum
{
	JOB_NONE    = 0,
	JOB_BUTTON01,
	JOB_BUTTON02,
	JOB_BUTTON03,
	JOB_BUTTON04,
	JOB_LOADING,
	JOB_TRANS,
	JOB_CLOSE
}tJobEnums;

#define CS_DROPSHADOW    0x20000

HWND CreateMainWindow(HWND *hWnd,WNDCLASSEX *wincl,HINSTANCE *hThisInstance,WNDPROC *CB);
void CreateComponents(HWND hWnd,UINT message, WPARAM wParam, LPARAM lParam);

void JobOnTimer(HWND hWnd,UINT message, WPARAM wParam, LPARAM lParam);
void JobOnCreate(HWND hWnd,UINT message, WPARAM wParam, LPARAM lParam);
void JobOnActivate(HWND hWnd,UINT message, WPARAM wParam, LPARAM lParam);
void JobOnPaint(HWND hWnd,PAINTSTRUCT *ps);
void JobOnClose(HWND hWnd,UINT message, WPARAM wParam, LPARAM lParam);
void JobOnCommand(HWND hWnd,UINT message, WPARAM wParam, LPARAM lParam);
void JobOnKeyProc(HWND hWnd,int KeyState,int Key);
void JobOnDestroy(HWND hWnd,UINT message, WPARAM wParam, LPARAM lParam);
